<!DOCTYPE html>
<html lang="en"
      xmlns:th="http://www.thymeleaf.org"
      xmlns:layout="http://www.ultraq.net.nz/thymeleaf/layout"
      xmlns:sec="http://www.thymeleaf.org/extras/spring-security"
      layout:decorate="~{layout3}">
<head>
  <meta charset="UTF-8">
  <title>HRIS Time Off Request </title>
</head>
<body>

<main
        layout:fragment="main"
        class="container-xxl bd-gutter mt-3 my-md-4 bd-layout"
>
  <div th:include="sidebar/sidebar_request::sidebar_request" th:remove="tag">
    sidebar
  </div>
  <main class="bd-main-xxl">
    <div class="row">
      <div class="col-md-12">
        <div class="h4 pb-2 mb-4 text-dark border-bottom border-dark">
          <i class="fa fa-calendar-minus" style="color: #9B7536"></i> Time Off Request
        </div>
      </div>
    </div>

    <div class="alert alert-success" th:if="${success != null}">
      <h4>Save Data Success!</h4>

      <p>Data Berhasil Disimpan.</p>
    </div>

    <div class="alert alert-success" th:if="${deleted != null}">
      <h4>Save Data Success!</h4>

      <p>Data Berhasil Dihapus.</p>
    </div>

    <div class="alert alert-danger" th:if="${gagal != null}">
      <h4>Save Data Unsuccesfully!</h4>

      <p>
        Data Tidak dapat dihapus karena ada anggaran aktif di dalamnya.
        hapus anggaran terlebih dahulu sebelum menghapus departemen ini..
      </p>
    </div>

    <div class="row">
      <div class="col-md-6">
        <p>
          <a
                  class="link-primary"
                  th:href="@{/request/time_off/new}"
                  role="button"
          >Click here</a
          >
          for new time off request!
        </p>
      </div>
      <div class="col-md-6" align="right"></div>
    </div>


    <div class="row">
      <div class="col-md-12">
        <table class="table table-hover table-striped small">
          <thead>

          <tr>
            <th class="border-dark border-start-0 border-end-0 text-end"  scope="col" style="width: 10px">#</th>
            <th class="border-dark border-start-0 border-end-0"  scope="col">Request Date</th>
            <th class="border-dark border-start-0 border-end-0"  scope="col">Time Off Date</th>
            <th class="border-dark border-start-0 border-end-0"  scope="col">Type</th>
            <th class="border-dark border-start-0 border-end-0"  scope="col">Desc</th>
            <th class="border-dark border-start-0 border-end-0"  scope="col" style="width: 40px">status</th>
            <th class="border-dark border-start-0 border-end-0"  scope="col" style="width: 40px"></th>
          </tr>
          </thead>
          <tbody class="align-middle">
          <tr th:each="dataTimeOffRequest,row : ${listTimeOffRequest}">
            <td class="border-0 border-bottom text-end"  th:text="${(row.index + 1) + (listTimeOffRequest.number * listTimeOffRequest.size)}">1.</td>
            <td class="border-0 border-bottom"  th:text="${#temporals.format(dataTimeOffRequest.tanggalPengajuan,'dd-MMM-yyyy')}">BEASISWA</td>
            <td class="border-0 border-bottom"  th:text="${'From : '+ #temporals.format(dataTimeOffRequest.tanggalTimeOff,'dd-MMM-yyyy') + ' To : ' + #temporals.format(dataTimeOffRequest.tanggalTimeOffSampai,'dd-MMM-yyyy')}">BEASISWA</td>
            <td class="border-0 border-bottom">
              <span class="d-inline-block text-truncate" style="max-width: 150px;" th:text="${dataTimeOffRequest.getTimeOffJenis().getTimeOffName()}"></span>
            </td>
            <td class="border-0 border-bottom">
              <span class="d-inline-block text-truncate" style="max-width: 150px;" th:text="${dataTimeOffRequest.getKeterangan()}"></span>
            </td>
            <td class="border-0 border-bottom" th:if="${dataTimeOffRequest.statusApprove.toString().equals('WAITING')}">
              <div class="d-grid gap-2">
                <button type="button" class="btn btn-outline-secondary" style="--bs-btn-padding-y: .25rem; --bs-btn-padding-x: .5rem; --bs-btn-font-size: .75rem;" data-bs-toggle="modal" th:attr="data-bs-target='#exampleModal'+${dataTimeOffRequest.getId()}">
                  <span th:text="${dataTimeOffRequest.statusApprove}"></span>
                </button>
              </div>
            </td>
            <td class="border-0 border-bottom" th:if="${dataTimeOffRequest.statusApprove.toString().equals('APPROVED')}">
              <div class="d-grid gap-2">
                <button type="button" class="btn btn-outline-success" style="--bs-btn-padding-y: .25rem; --bs-btn-padding-x: .5rem; --bs-btn-font-size: .75rem;" data-bs-toggle="modal" th:attr="data-bs-target='#exampleModal'+${dataTimeOffRequest.getId()}">
                  <span th:text="${dataTimeOffRequest.statusApprove}"></span>
                </button>
              </div>
            </td>
            <td class="border-0 border-bottom" th:if="${dataTimeOffRequest.statusApprove.toString().equals('REJECTED') || dataTimeOffRequest.statusApprove.toString().equals('CANCELED')}">
              <div class="d-grid gap-2">
                <button type="button" class="btn btn-outline-danger" style="--bs-btn-padding-y: .25rem; --bs-btn-padding-x: .5rem; --bs-btn-font-size: .75rem;" data-bs-toggle="modal" th:attr="data-bs-target='#exampleModal'+${dataTimeOffRequest.getId()}">
                  <span th:text="${dataTimeOffRequest.statusApprove}"></span>
                </button>
              </div>
            </td>
            <td class="border-0 border-bottom" >
              <form th:if="${dataTimeOffRequest.getStatusApprove().toString().equals('WAITING')}" method="post" th:action="@{/request/time_off/delete(timeOffRequest=${dataTimeOffRequest.id})}">
                <button type="submit" th:if="${dataTimeOffRequest.getStatusApprove().toString().equals('WAITING')}" class="btn btn-danger"
                        style="--bs-btn-padding-y: .25rem; --bs-btn-padding-x: .5rem; --bs-btn-font-size: .75rem;"
                        onclick="return confirm('Are you sure want to cancel this request?')">
                  Cancel
                </button>
              </form>
            </td>

          </tr>
          </tbody>
        </table>

        <div th:each="dataTimeOffRequest,row : ${listTimeOffRequest}">
          <div class="modal fade" th:id="exampleModal+${dataTimeOffRequest.getId()}">
            <div class="modal-dialog modal-lg">
              <div class="modal-content">
                <div class="modal-header">
                  <h4 class="modal-title">Detail Approval</h4>
                </div>
                <div class="modal-body">
                  &nbsp;
                  <table class="table table-striped table-hover small">
                    <tr th:each="dataApproval, stat: *{listApproval}">
                      <td class="border-0 border-bottom"  th:if="${dataApproval.getTimeOffRequest()} == ${dataTimeOffRequest.id}">
                        <span th:text="${dataApproval.getNomor()}">Update software</span>
                      </td>
                      <td class="border-0 border-bottom"  th:if="${dataApproval.getTimeOffRequest()} == ${dataTimeOffRequest.id}">
                        <span th:text="${dataApproval.getEmployee()}">Update software</span>
                      </td>
                      <td class="border-0 border-bottom"  th:if="${dataApproval.getTimeOffRequest()} == ${dataTimeOffRequest.id}">
                        <span th:text="${dataApproval.getPosition()}">Update software</span>
                      </td>
                      <td class="border-0 border-bottom"  th:if="${dataApproval.getTimeOffRequest()} == ${dataTimeOffRequest.id}">
                        <span th:text="${dataApproval.getApprove()}">Update software</span>
                      </td>
                      <td class="border-0 border-bottom"  th:if="${dataApproval.getTimeOffRequest()} == ${dataTimeOffRequest.id} and ${dataApproval.getTanggalApprove()} != null ">
                        <span th:text="${dataApproval.getTanggalApprove()}">Update software</span>
                      </td>
                      <td class="border-0 border-bottom"  th:if="${dataApproval.getTimeOffRequest()} == ${dataTimeOffRequest.id} and ${dataApproval.getKeterangan()} != 'Approve' ">
                        <span th:text="${dataApproval.getKeterangan()}">Update software</span>
                      </td>
                    </tr>
                  </table>
                </div>
                <div class="modal-footer">
                  <button type="button" class="btn btn-secondary" data-bs-dismiss="modal">Close</button>
                </div>
              </div>
            </div>
          </div>
        </div>
      </div>
      <br />

      <nav aria-label="Page navigation example">
        <ul class="pagination" sd:pagination="full"></ul>
      </nav>
    </div>
  </main>

</main>
</body>
</html>


<!--<!DOCTYPE html>-->
<!--<html xmlns:th="http://www.thymeleaf.org"-->
<!--      xmlns:layout="http://www.ultraq.net.nz/thymeleaf/layout"-->
<!--      layout:decorate="~{layout}">-->
<!--<head>-->
<!--  <meta charset="UTF-8">-->
<!--  <title>Time Off Request</title>-->
<!--</head>-->
<!--<body>-->

<!--<section layout:fragment="breadcrumb" class="content-header">-->
<!--  <h1>-->
<!--    Time Off Request-->
<!--    <small></small>-->
<!--  </h1>-->
<!--  <ol class="breadcrumb">-->
<!--    <li class="treeview active"> Request</li>-->
<!--    <li class="active"> Time Off Request List</li>-->
<!--  </ol>-->
<!--</section>-->

<!--<section layout:fragment="main" class="content">-->

<!--  <div class="row">-->
<!--    <div class="col-md-12">-->

<!--      <div class="callout callout-success" th:if="${success != null}">-->
<!--        <h4>Save Data Success!</h4>-->

<!--        <p>Data Berhasil Disimpan.</p>-->
<!--      </div>-->

<!--      <div class="callout callout-success" th:if="${deleted != null}">-->
<!--        <h4>Delete Data Success!</h4>-->

<!--        <p>Data Berhasil Dihapus.</p>-->
<!--      </div>-->

<!--      <div class="callout callout-danger" th:if="${gagal != null}">-->
<!--        <h4>Save Data Unsuccesfully!</h4>-->

<!--        <p>Data Tidak dapat dihapus karena ada anggaran aktif di dalamnya. hapus anggaran terlebih dahulu sebelum menghapus departemen ini..</p>-->
<!--      </div>-->

<!--      &lt;!&ndash; Custom Tabs &ndash;&gt;-->
<!--      &lt;!&ndash;            <div class="nav-tabs-custom">&ndash;&gt;-->
<!--      &lt;!&ndash;                <ul class="nav nav-tabs">&ndash;&gt;-->
<!--      &lt;!&ndash;                    <li class="active"><a href="#detail" data-toggle="tab">Attendance Request</a></li>&ndash;&gt;-->
<!--      &lt;!&ndash;                </ul>&ndash;&gt;-->
<!--      &lt;!&ndash;                <form class="form-horizontal" th:action="@{/masterdata/employes/keluarga/save}" th:object="${employes}" method="post" enctype="multipart/form-data">&ndash;&gt;-->
<!--      <div class="box">-->
<!--        <div class="box-body">-->
<!--          <div class="row">-->
<!--            <div class="col-md-12">-->
<!--              <div class="box box-info">-->
<!--                <div class="box-header with-border">-->

<!--                  <span>Time Off Request</span>-->
<!--                  &lt;!&ndash;                                        <span th:text="${employes.fullName}"></span>&ndash;&gt;-->

<!--                </div>-->
<!--                <div class="box-body">-->
<!--                  <div class="box">-->
<!--                    <form method="get">-->
<!--                      <div class="box-header with-border">-->
<!--                        <div class="row">-->
<!--                          <div class="col-md-6">-->
<!--                            &lt;!&ndash;                                                                <h3 class="box-title">Ayah</h3>&ndash;&gt;-->
<!--                          </div>-->
<!--                          <div class="col-md-6" align="right">-->
<!--                            Show entries <span sd:page-size-selector="javascript"></span>-->
<!--                          </div>-->
<!--                        </div>-->
<!--                      </div>-->

<!--                      <div class="box-header with-border">-->
<!--                        <div class="row">-->
<!--                          <div class="col-md-6">-->
<!--                            <a th:href="@{/request/time_off/new}" name="tambahAyah" type="button" class="btn btn-primary">Request Time Off</a>-->
<!--                          </div>-->

<!--                          <div class="col-md-6" align="right">-->
<!--                            <div class="input-group input-group-sm" style="width: 150px;">-->
<!--                              <input type="text" name="search" class="form-control pull-right" th:value="${search}" placeholder="Search">-->
<!--                              <div class="input-group-btn">-->
<!--                                <button type="submit" class="btn btn-default"><i class="fa fa-search"></i></button>-->
<!--                              </div>-->
<!--                            </div>-->
<!--                          </div>-->

<!--                        </div>-->
<!--                      </div>-->
<!--                    </form>-->
<!--                    &lt;!&ndash; /.box-header &ndash;&gt;-->


<!--                    <div class="box-body table-responsive no-padding">-->
<!--                      <table class="table table-bordered">-->
<!--                        <tr>-->
<!--                          <th class="border-0 border-bottom"  style="width: 10px">#</th>-->
<!--                          <th class="border-0 border-bottom" >Request Date</th>-->
<!--                          <th class="border-0 border-bottom" >Time Off Date</th>-->
<!--                          <th class="border-0 border-bottom" >Type</th>-->
<!--                          <th class="border-0 border-bottom" >status</th>-->
<!--&lt;!&ndash;                          <th class="border-0 border-bottom"  style="width: 40px"></th>&ndash;&gt;-->
<!--                          <th class="border-0 border-bottom"  style="width: 40px"></th>-->
<!--&lt;!&ndash;                          <th class="border-0 border-bottom"  style="width: 40px"></th>&ndash;&gt;-->
<!--                        </tr>-->
<!--                        <tr th:each="dataTimeOffRequest,row : ${listTimeOffRequest}">-->
<!--                          <td class="border-0 border-bottom"  th:text="${(row.index + 1) + (listTimeOffRequest.number * listTimeOffRequest.size)}">1.</td>-->
<!--                          <td class="border-0 border-bottom"  th:text="${#temporals.format(dataTimeOffRequest.tanggalPengajuan,'dd-MMM-yyyy')}">BEASISWA</td>-->
<!--                          <td class="border-0 border-bottom"  th:text="${'From : '+ #temporals.format(dataTimeOffRequest.tanggalTimeOff,'dd-MMM-yyyy') + ' To : ' + #temporals.format(dataTimeOffRequest.tanggalTimeOffSampai,'dd-MMM-yyyy')}">BEASISWA</td>-->
<!--                          <td class="border-0 border-bottom"  th:text="${dataTimeOffRequest.getTimeOffJenis().getTimeOffName()}"></td>-->
<!--                          <td class="border-0 border-bottom" >-->
<!--                            <button type="button" class="btn btn-default btn-xs" data-toggle="modal" data-target="#modal-default" th:attr="data-target='#modal-default'+${dataTimeOffRequest.getId()}">-->
<!--                              <span th:text="${dataTimeOffRequest.statusApprove}"></span>-->
<!--                            </button>-->

<!--                            <div class="modal fade" th:id="modal-default+${dataTimeOffRequest.getId()}">-->
<!--                              <div class="modal-dialog">-->
<!--                                <div class="modal-content">-->
<!--                                  <div class="modal-header">-->
<!--                                    <button type="button" class="close" data-dismiss="modal" aria-label="Close">-->
<!--                                      <span aria-hidden="true">&times;</span></button>-->
<!--                                    <h4 class="modal-title">Detail Approval</h4>-->
<!--                                  </div>-->
<!--                                  <div class="modal-body">-->
<!--                                    &nbsp;-->
<!--                                    <table class="table table-bordered">-->
<!--                                      <tr th:each="dataApproval, stat: *{listApproval}">-->
<!--                                        <td class="border-0 border-bottom"  th:if="${dataApproval.getTimeOffRequest()} == ${dataTimeOffRequest.id}">-->
<!--                                          <span th:text="${dataApproval.getNomor()}">Update software</span>-->
<!--                                        </td>-->
<!--                                        <td class="border-0 border-bottom"  th:if="${dataApproval.getTimeOffRequest()} == ${dataTimeOffRequest.id}">-->
<!--                                          <span th:text="${dataApproval.getEmployee()}">Update software</span>-->
<!--                                        </td>-->
<!--                                        <td class="border-0 border-bottom"  th:if="${dataApproval.getTimeOffRequest()} == ${dataTimeOffRequest.id}">-->
<!--                                          <span th:text="${dataApproval.getPosition()}">Update software</span>-->
<!--                                        </td>-->
<!--                                        <td class="border-0 border-bottom"  th:if="${dataApproval.getTimeOffRequest()} == ${dataTimeOffRequest.id}">-->
<!--                                          <span th:text="${dataApproval.getApprove()}">Update software</span>-->
<!--                                        </td>-->
<!--                                        <td class="border-0 border-bottom"  th:if="${dataApproval.getTimeOffRequest()} == ${dataTimeOffRequest.id} and ${dataApproval.getTanggalApprove()} != null ">-->
<!--                                          <span th:text="${dataApproval.getTanggalApprove()}">Update software</span>-->
<!--                                        </td>-->
<!--                                        <td class="border-0 border-bottom"  th:if="${dataApproval.getTimeOffRequest()} == ${dataTimeOffRequest.id} and ${dataApproval.getKeterangan()} != 'Approve' ">-->
<!--                                          <span th:text="${dataApproval.getKeterangan()}">Update software</span>-->
<!--                                        </td>-->
<!--                                      </tr>-->
<!--                                    </table>-->
<!--                                  </div>-->
<!--                                  <div class="modal-footer">-->
<!--                                    <button type="button" class="btn btn-default pull-left" data-dismiss="modal">Close</button>-->
<!--                                  </div>-->
<!--                                </div>-->
<!--                                &lt;!&ndash; /.modal-content &ndash;&gt;-->
<!--                              </div>-->
<!--                              &lt;!&ndash; /.modal-dialog &ndash;&gt;-->
<!--                            </div>-->
<!--                          </td>-->
<!--&lt;!&ndash;                          <td class="border-0 border-bottom" >&ndash;&gt;-->
<!--&lt;!&ndash;                            <a th:if="${dataTimeOffRequest.getStatusApprove() == 'WAITING'}" th:href="@{/request/time_off/edit(timeOffRequest=${dataTimeOffRequest.id})}" class="btn btn-xs btn-primary">Edit</a>&ndash;&gt;-->
<!--&lt;!&ndash;                          </td>&ndash;&gt;-->
<!--&lt;!&ndash;                          <td class="border-0 border-bottom" >&ndash;&gt;-->
<!--&lt;!&ndash;                            <a th:if="${dataTimeOffRequest.getStatusApprove().equals('WAITING')}" th:href="@{/request/time_off/delete(timeOffRequest=${dataTimeOffRequest.id})}" class="btn btn-xs btn-danger">Cancel</a>&ndash;&gt;-->
<!--&lt;!&ndash;                          </td>&ndash;&gt;-->
<!--                          <td class="border-0 border-bottom" >-->
<!--                            <form th:if="${dataTimeOffRequest.getStatusApprove().toString().equals('WAITING')}" method="post" th:action="@{/request/time_off/delete(timeOffRequest=${dataTimeOffRequest.id})}">-->
<!--                              <button type="submit" th:if="${dataTimeOffRequest.getStatusApprove().toString().equals('WAITING')}" class="btn btn-danger btn-xs"-->
<!--                                      onclick="return confirm('Are you sure want to cancel this request?')">-->
<!--                                Cancel-->
<!--                              </button>-->
<!--                            </form>-->
<!--                          </td>-->

<!--                        </tr>-->
<!--                        <tr>-->
<!--                          <th class="border-0 border-bottom"  style="width: 10px">#</th>-->
<!--                          <th class="border-0 border-bottom" >Request Date</th>-->
<!--                          <th class="border-0 border-bottom" >Time Off Date</th>-->
<!--                          <th class="border-0 border-bottom" >Type</th>-->
<!--                          <th class="border-0 border-bottom" >status</th>-->
<!--                          <th class="border-0 border-bottom"  style="width: 40px"></th>-->
<!--                        </tr>-->
<!--                      </table>-->
<!--                    </div>-->
<!--                    &lt;!&ndash; /.box-body &ndash;&gt;-->
<!--                    <div class="box-footer clearfix">-->
<!--                      <ul class="pagination pagination-sm no-margin pull-right" sd:pagination="full">-->
<!--                        <li class="disabled"><a href="#" aria-label="Previous"><span-->
<!--                                aria-hidden="true">&laquo;</span></a>-->
<!--                        </li>-->
<!--                        <li class="active"><a href="#">1 <span class="sr-only">(current)</span></a>-->
<!--                        </li>-->
<!--                      </ul>-->
<!--                    </div>-->
<!--                  </div>-->
<!--                </div>-->
<!--                &lt;!&ndash;                                    <div class="box-footer">&ndash;&gt;-->
<!--                &lt;!&ndash;&lt;!&ndash;                                        <a th:href="@{/masterdata/employes}" class="btn btn-default">Cancel</a>&ndash;&gt;&ndash;&gt;-->
<!--                &lt;!&ndash;&lt;!&ndash;                                        <button type="submit" class="btn btn-info pull-right" id="simpan">Save</button>&ndash;&gt;&ndash;&gt;-->
<!--                &lt;!&ndash;                                    </div>&ndash;&gt;-->
<!--              </div>-->
<!--            </div>-->
<!--          </div>-->
<!--        </div>-->
<!--      </div>-->
<!--      &lt;!&ndash;                </form>&ndash;&gt;-->
<!--      &lt;!&ndash;            </div>&ndash;&gt;-->
<!--    </div>-->
<!--  </div>-->
<!--</section>-->

<!--<section layout:fragment="footer" class="script">-->
<!--  <script>-->
<!--    $(function () {-->
<!--      //Initialize Select2 Elements-->
<!--      $('.select2').select2()-->

<!--      //Datemask dd/mm/yyyy-->
<!--      $('#datemask').inputmask('dd/mm/yyyy', { 'placeholder': 'dd/mm/yyyy' })-->
<!--      //Datemask2 mm/dd/yyyy-->
<!--      $('#datemask2').inputmask('mm/dd/yyyy', { 'placeholder': 'mm/dd/yyyy' })-->
<!--      //Money Euro-->
<!--      $('[data-mask]').inputmask()-->

<!--      //Date range picker-->
<!--      $('#reservation').daterangepicker()-->
<!--      //Date range picker with time picker-->
<!--      $('#reservationtime').daterangepicker({ timePicker: true, timePickerIncrement: 30, locale: { format: 'MM/DD/YYYY hh:mm A' }})-->
<!--      //Date range as a button-->
<!--      $('#daterange-btn').daterangepicker(-->
<!--              {-->
<!--                ranges   : {-->
<!--                  'Today'       : [moment(), moment()],-->
<!--                  'Yesterday'   : [moment().subtract(1, 'days'), moment().subtract(1, 'days')],-->
<!--                  'Last 7 Days' : [moment().subtract(6, 'days'), moment()],-->
<!--                  'Last 30 Days': [moment().subtract(29, 'days'), moment()],-->
<!--                  'This Month'  : [moment().startOf('month'), moment().endOf('month')],-->
<!--                  'Last Month'  : [moment().subtract(1, 'month').startOf('month'), moment().subtract(1, 'month').endOf('month')]-->
<!--                },-->
<!--                startDate: moment().subtract(29, 'days'),-->
<!--                endDate  : moment()-->
<!--              },-->
<!--              function (start, end) {-->
<!--                $('#daterange-btn span').html(start.format('MMMM D, YYYY') + ' - ' + end.format('MMMM D, YYYY'))-->
<!--              }-->
<!--      )-->

<!--      //Date picker-->
<!--      $('#tanggalLahir').datepicker({-->
<!--        autoclose: true-->
<!--      })-->

<!--      //iCheck for checkbox and radio inputs-->
<!--      $('input[type="checkbox"].minimal, input[type="radio"].minimal').iCheck({-->
<!--        checkboxClass: 'icheckbox_minimal-blue',-->
<!--        radioClass   : 'iradio_minimal-blue'-->
<!--      })-->
<!--      //Red color scheme for iCheck-->
<!--      $('input[type="checkbox"].minimal-red, input[type="radio"].minimal-red').iCheck({-->
<!--        checkboxClass: 'icheckbox_minimal-red',-->
<!--        radioClass   : 'iradio_minimal-red'-->
<!--      })-->
<!--      //Flat red color scheme for iCheck-->
<!--      $('input[type="checkbox"].flat-red, input[type="radio"].flat-red').iCheck({-->
<!--        checkboxClass: 'icheckbox_flat-green',-->
<!--        radioClass   : 'iradio_flat-green'-->
<!--      })-->

<!--      //Colorpicker-->
<!--      $('.my-colorpicker1').colorpicker()-->
<!--      //color picker with addon-->
<!--      $('.my-colorpicker2').colorpicker()-->

<!--      //Timepicker-->
<!--      $('.timepicker').timepicker({-->
<!--        showInputs: false-->
<!--      })-->
<!--    })-->
<!--  </script>-->
<!--  <script>-->
<!--    $(".js-example-placeholder-single").select2({-->
<!--      placeholder: "Pilih Salah Satu",-->
<!--      allowClear: true-->
<!--    });-->

<!--    $('.simpan').click(function () {-->
<!--      Swal.fire({-->
<!--        position: 'top-end',-->
<!--        type: 'success',-->
<!--        title: 'Your work has been saved',-->
<!--        showConfirmButton: false-->
<!--      })-->
<!--    });-->
<!--  </script>-->
<!--</section>-->
<!--</body>-->
<!--</html>-->
<!--</body>-->
<!--</html>-->